package de.frajul.endlessroll.entities.tools;

import de.frajul.endlessroll.data.Vector;
import de.frajul.endlessroll.entities.Player;

/**
 * Created by Julian on 03.11.2017.
 */

public abstract class PlayerInfluenceTool extends Tool {

    public PlayerInfluenceTool(ToolType type, Vector position, float width, float height, boolean updateBounds, boolean placedByRightEdge) {
        super(type, position, width, height, updateBounds, placedByRightEdge);
    }

    public abstract void influencePlayerValues(Player player);

}
